.search-bar{
    position: relative;
    margin-top: 2em;
    width: 60%;
    background-color: $white;
    height: 2.6em;
    padding-left: 1em;
    border-radius: .625em;
    display: flex;
    align-items: center;
    transition: all .5s ease;
    animation: slide-up .5s ease-out both;
    animation-delay: .7s;
    /** @params
        $left, $top, $blur, $color, $opacity
    */
    @include shadow(0em, 0.56em, 1em, $black, .1);

    @include screen(phone){
        margin-top: 5em;
        width: 100%;
    }

    &:hover{
        /** @params
            $left, $top, $blur, $color, $opacity
        */
        @include shadow(0em, 1.2em, 1em, $black, .2);

        @include screen(phone){
            @include shadow(0em, .9em, 1em, $red, .2);
        }
    }

    &__icon{
        color: $red;
    }

    &__input{
        width: 85%;
        border: none;
        padding: .5em;
        outline: none;
        
        @include screen(phone){
            width: 80%;
        }
    }

    &__loader{
        display: none;
        border: .2em solid $grey-lite;
        border-radius: 100%;
        border-top: .2em solid $red;
        width: 20px;
        height: 20px;
        animation: spin  .8s  linear infinite;
    }

    // Quando o input estiver com foco o loader será mostrado
    &__input:focus ~ &__loader{
        display: block;
    }

    

}